List customer entitlements
curl --request GET \
--url https://api.zenskar.com/entitlements/customer/{customer_id} \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/entitlements/customer/{customer_id}"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/entitlements/customer/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlement": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"units": "<string>",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Feature",
"source_type": "Grant",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contract": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"active_from": "2023-11-07T05:31:56Z",
"expiry_at": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123,
"quantity_remaining": 123,
"created_at": "2023-11-07T05:31:56Z",
"contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": "<string>",
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft"
}
],
"next": "V2VsbCBhcmV1IGN1cmlvdxM=",
"previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Entitlements
List customer entitlements
List all entitlements assigned to a customer
GET
/
entitlements
/
customer
/
{customer_id}
List customer entitlements
Authorizations
Path Parameters
Query Parameters
The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response
Example:
"V2VsbCBhcmV1IGN1cmlvdxM="
The number of results to return - defaults to 10
Example:
10
Example:
"sort_key=id"
Example:
"sort_key=asc"
Example:
"customer"
Example:
"status=draft,active"
Response
Successful Response
The results for the current page
Show child attributes
Show child attributes
The cursor for the next page of results
Example:
"V2VsbCBhcmV1IGN1cmlvdxM="
The cursor for the previous page of results
Example:
"GmBsbCBhcmV1IGN1cmlvdxM="
The total count of rows